
## H5CPP [upcoming presentation on C++TO](https://www.google.com/url?q=https://www.meetup.com/CPPTORONTO/events/270916922/&sa=D&ust=1591116515783000)

We would like to invite you to the C++TO online presentation on using modern C++ as an interface to data stored in HDF5 containers. The proposed interface, H5CPP, delivers the productivity gains known from popular scripting languages while maintaining the efficiency and control of the native HDF5 C-API. The event is scheduled for Tuesday, June 30, 2020 6:30 PM to 8:30 PM EDT. Please [follow this link](https://www.google.com/url?q=https://www.meetup.com/CPPTORONTO/events/270916922/&sa=D&ust=1591116515783000) to sign up for the event!


H5CPP is a novel approach to portable persistence in fields including machine learning and high-throughput event processing. It provides scalable low-latency access to data blocks and streams stored in HDF5 containers.


The project enjoys the support of The HDF Group, the general supercomputing community, and aims to provide scalable persistence for modern linear algebra systems such as Armadillo, Eigen3, Blaze, Blitz++, dlib, IT++, ublas,  and arbitrarily complex standard layout types, as well as the STL.


[Follow this link to kick the tires](https://www.google.com/url?q=https://www.meetup.com/CPPTORONTO/events/270916922/&sa=D&ust=1591116515783000) on MPI I/O-based massive parallel processing and POSIX I/O-based examples, and save your questions and thoughts for the event. Depending on the registration count, an anonymous login to an AWS EC2-hosted cluster environment will be provided 2 days before the presentation.


In this presentation, Steven Varga, the author of H5CPP and H5CLUSTER, will expand on topics introduced in his earlier C++TO Lightning Talk. He will discuss H5CPP features in detail, touch on introspection/feature detection in C++, and show how H5CPP fits into the Modern C++ ecosystem.


Guest speaker and collaborator, Gerd Heber, will introduce the basic concepts and practices of data management with HDF5. He will explain the mission and commitment of The HDF Group to freely-available, open-source software, and how tools such as H5CPP are vital to the wider HDF5 ecosystem.


Steven Varga is an independent researcher in the field of machine learning, and computational finance and is an active member of the HDF5 community. Gerd Heber works as an Applications Architect at The HDF Group where he helps users and customers to make the most effective use of HDF5 and its ecosystem.

